Đến nội dung


Hình ảnh
- - - - -

Autocad 2012 và Autocad structure detailing 2012 upgrade


  • Please log in to reply
4 replies to this topic

#1 nguoitomo

nguoitomo

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 27 July 2011 - 08:57 AM

Updates & Service Packs cho Autocad từ version R14 đến R2012
http://usa.autodesk....&linkID=9240618

Updates & Service Packs cho Autocad structure detailing từ version R2009 đến R2012
http://usa.autodesk....linkID=12952913
  • 0

#2 bravery10

bravery10

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 July 2011 - 10:55 AM

Tôi có đoạn code VBA sau:

Sub setlayercolor()
Dim LayerObj As AcadLayer
Dim Col As New AcadAcCmColor
Set LayerObj = ThisDrawing.Layers.Add("Net Lien")
Col.ColorIndex = 31
LayerObj.TrueColor = Col
End Sub



Hỏi tại sao trong cad 2008 chạy tốt mà cad 2012 thì báo lỗi không chạy được
  • 0
Cad 2012

#3 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 27 July 2011 - 12:42 PM

Tôi có đoạn code VBA sau:

Sub setlayercolor()
Dim LayerObj As AcadLayer
Dim Col As New AcadAcCmColor
Set LayerObj = ThisDrawing.Layers.Add("Net Lien")
Col.ColorIndex = 31
LayerObj.TrueColor = Col
End Sub



Hỏi tại sao trong cad 2008 chạy tốt mà cad 2012 thì báo lỗi không chạy được


Bạn đã cài VBA enabler chưa?
Nếu cài rồi thì send cái lỗi lên mọi ng mới biết mà giúp chứ.
Hình đã gửi
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#4 bravery10

bravery10

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 December 2011 - 09:42 PM

Bạn đã cài VBA enabler chưa?
Nếu cài rồi thì send cái lỗi lên mọi ng mới biết mà giúp chứ.
:rolleyes:


Tôi cũng gặp lỗi như trên. Tất nhiên là có VBA.
  • 0
Cad 2012

#5 bravery10

bravery10

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 December 2011 - 10:40 PM

Bạn có thể sửa lại như sau:
Sub setlayercolor()
Dim LayerObj As AcadLayer
Set LayerObj = ThisDrawing.Layers.Add("Net Lien")
LayerObj.Color = 31
End Sub

Cách này không xử lý được lỗi với colorIndex nhưng có thể chạy được chương trình trên Cad 2012.
  • 0
Cad 2012